> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Poisoning On Result



## OpenAPI

````yaml /api-reference/openapi.json post /api/scans/{scan_id}/results/{result_id}/poisoning
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/scans/{scan_id}/results/{result_id}/poisoning:
    post:
      tags:
        - api
      summary: Run Poisoning On Result
      operationId: >-
        run_poisoning_on_result_api_scans__scan_id__results__result_id__poisoning_post
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            title: Scan Id
        - name: result_id
          in: path
          required: true
          schema:
            type: string
            title: Result Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoisoningScanRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoisoningScanResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PoisoningScanRequest:
      properties:
        sensitivity:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Sensitivity
        consensus_level:
          anyOf:
            - type: integer
              maximum: 5
              minimum: 1
            - type: 'null'
          title: Consensus Level
      type: object
      title: PoisoningScanRequest
    PoisoningScanResponse:
      properties:
        poisoned:
          type: boolean
          title: Poisoned
        agreement_votes:
          type: integer
          title: Agreement Votes
        vote_total_available:
          type: integer
          title: Vote Total Available
        vote_pool_size:
          type: integer
          title: Vote Pool Size
        consensus_level:
          type: integer
          title: Consensus Level
        consensus_applied:
          type: integer
          title: Consensus Applied
        structural_score:
          type: number
          title: Structural Score
        semantic_resnet:
          type: number
          title: Semantic Resnet
        semantic_densenet:
          type: number
          title: Semantic Densenet
        semantic_clip:
          type: number
          title: Semantic Clip
        fused_score:
          type: number
          title: Fused Score
          default: 0
        decision_basis:
          anyOf:
            - type: string
            - type: 'null'
          title: Decision Basis
        detector_evidence:
          items:
            type: string
          type: array
          title: Detector Evidence
        dataset_mode:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Mode
        vote_breakdown:
          additionalProperties:
            type: integer
          type: object
          title: Vote Breakdown
        analysis_notes:
          items:
            type: string
          type: array
          title: Analysis Notes
        sr_available:
          type: boolean
          title: Sr Available
        sr_variant_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Sr Variant Source
        sr_disabled_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Sr Disabled Reason
        feature_error:
          type: boolean
          title: Feature Error
        feature_error_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Feature Error Reason
        vlm_prompt_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Vlm Prompt Score
        vlm_prompt_margin:
          anyOf:
            - type: number
            - type: 'null'
          title: Vlm Prompt Margin
        vlm_prompt_variant_shift:
          anyOf:
            - type: number
            - type: 'null'
          title: Vlm Prompt Variant Shift
        vlm_prompt_flag:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Vlm Prompt Flag
        trigger_reconstruction_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Trigger Reconstruction Score
        trigger_reconstruction_flag:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Trigger Reconstruction Flag
        trigger_bbox:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Trigger Bbox
        trigger_transfer_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Trigger Transfer Rate
        detection_backdoor_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Detection Backdoor Score
        detection_backdoor_flag:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Detection Backdoor Flag
        detection_backdoor_errors:
          items:
            type: string
          type: array
          title: Detection Backdoor Errors
      type: object
      required:
        - poisoned
        - agreement_votes
        - vote_total_available
        - vote_pool_size
        - consensus_level
        - consensus_applied
        - structural_score
        - semantic_resnet
        - semantic_densenet
        - semantic_clip
        - sr_available
        - feature_error
      title: PoisoningScanResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````